[Yum] can't upgrade yum, yum doesn't work

Istvan Kope istvan.kope at gmail.com
Thu Oct 6 14:21:36 UTC 2005


On 10/6/05, Jeff Pitman <symbiont at berlios.de> wrote:
> On Wednesday 05 October 2005 02:06, Istvan Köpe wrote:
> > I'm trying to use yum on FC4 x86_64
>
> Isn't yum 2.4.0 in Core Updates?
>
> --
> -jeff
> _______________________________________________
> Yum mailing list
> Yum at lists.dulug.duke.edu
> https://lists.dulug.duke.edu/mailman/listinfo/yum
>


Well I found the solution to upgrade yum.
I removed the yum installation rpm -e yum
I installed the version which came with the FC4 DVD yum-2.3.2-7.noarch.rpm
Than yum -y upgrade yum.
That's it. Now I have the latest yum 2.4

But the system upgrade with yum still doesn't work.
I changed yum.conf with timeout=300 and I still got the timout errors.
I have an internet line of 256kbs minimum guarantied. I was able to
download manually with Firefox all the upgrade packages yum is trying
to download without success, on the same system.

I copied those rpm-s in /var/cache/yum/base/packages/ (or
.../updates/packages) hoping that yum will not try to download again
and will do the necessari upgrades, but even if the packages are in
the cache folder yum tries to download them again - of course without
success. Why?

So 2 questions:
1. Why still I have the timeout errors?
2. Why yum downloads again the packages which I already copied in the
cache folder?



More information about the Yum mailing list